summaryrefslogtreecommitdiffstats
path: root/source/l/libcap-ng
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/l/libcap-ng
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/libcap-ng')
-rwxr-xr-xsource/l/libcap-ng/libcap-ng.SlackBuild23
-rw-r--r--source/l/libcap-ng/python3.patch12
-rw-r--r--source/l/libcap-ng/slack-desc10
3 files changed, 35 insertions, 10 deletions
diff --git a/source/l/libcap-ng/libcap-ng.SlackBuild b/source/l/libcap-ng/libcap-ng.SlackBuild
index 7eaa26fb0..d84bb3edc 100755
--- a/source/l/libcap-ng/libcap-ng.SlackBuild
+++ b/source/l/libcap-ng/libcap-ng.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2016, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libcap-ng
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -36,6 +37,14 @@ if [ -z "$ARCH" ]; then
export ARCH
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i586" ]; then
@@ -58,7 +67,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -77,6 +85,11 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix byte-compiling python3 bindings
+zcat $CWD/python3.patch.gz | patch -p1 --verbose || exit 1
+
+autoreconf -vif
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -87,7 +100,7 @@ CFLAGS="$SLKCFLAGS" \
--infodir=/usr/info \
--disable-static \
--with-python \
- --without-python3 \
+ --with-python3 \
--build=$ARCH-slackware-linux || exit 1
# Build and install:
diff --git a/source/l/libcap-ng/python3.patch b/source/l/libcap-ng/python3.patch
new file mode 100644
index 000000000..cf26fe5de
--- /dev/null
+++ b/source/l/libcap-ng/python3.patch
@@ -0,0 +1,12 @@
+diff -ur libcap-ng-0.7.8.orig/bindings/python3/Makefile.am libcap-ng-0.7.8/bindings/python3/Makefile.am
+--- libcap-ng-0.7.8.orig/bindings/python3/Makefile.am 2016-07-24 17:47:34.000000000 +0200
++++ libcap-ng-0.7.8/bindings/python3/Makefile.am 2017-06-24 16:32:53.957501204 +0200
+@@ -26,6 +26,8 @@
+ LIBS = ${top_builddir}/src/libcap-ng.la
+ SWIG_FLAGS = -python -py3 -modern
+ SWIG_INCLUDES = ${AM_CPPFLAGS}
++# REMOVE SOMEDAY - without overriding this macro, it uses python2
++am__py_compile = PYTHON=$(PYTHON3) $(SHELL) $(py_compile)
+ py3exec_PYTHON = capng.py
+ py3exec_LTLIBRARIES = _capng.la
+ py3exec_SOLIBRARIES = _capng.so
diff --git a/source/l/libcap-ng/slack-desc b/source/l/libcap-ng/slack-desc
index 711b83478..770572756 100644
--- a/source/l/libcap-ng/slack-desc
+++ b/source/l/libcap-ng/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler---------------------------------------------------|
libcap-ng: libcap-ng (capabilities library and utilities)
libcap-ng:
libcap-ng: The libcap-ng library is intended to make programming with POSIX
-libcap-ng: capabilities easier. The package also includes utilities to help
+libcap-ng: capabilities easier. The package also includes utilities to help
libcap-ng: analyze a system for programs that may have too much privilege.
libcap-ng:
libcap-ng: libcap-ng was written and is maintained by Steve Grubb.
libcap-ng:
-libcap-ng: Homepage: https://people.redhat.com/sgrubb/libcap-ng/
+libcap-ng: Homepage: https://people.redhat.com/sgrubb/libcap-ng/
libcap-ng:
libcap-ng: